package com.jaspereport.sample;

// import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;

public class DAOStub 
{
	public ArrayList<DataBean> getDataBeanList()
	{
		ArrayList<DataBean> dataBeanList = new ArrayList<DataBean>();

		dataBeanList.add(new DataBean("New York"  , "Notebook", toDate(2017, 1,  1), 1, 500));
		dataBeanList.add(new DataBean("New York"  , "DVD"     , toDate(2017, 1,  1), 5,  30));
		dataBeanList.add(new DataBean("New York"  , "DVD"     , toDate(2017, 1,  3), 2,  45));
		dataBeanList.add(new DataBean("New York"  , "DVD"     , toDate(2017, 1,  5), 4,  36));
		dataBeanList.add(new DataBean("New York"  , "DVD"     , toDate(2017, 1, 18), 5,  41));
		dataBeanList.add(new DataBean("New York"  , "Book"    , toDate(2017, 1,  8), 2,  11));
		dataBeanList.add(new DataBean("New York"  , "Book"    , toDate(2017, 1, 15), 8,   9));
		dataBeanList.add(new DataBean("New York"  , "Book"    , toDate(2017, 1, 21), 6,  14));
		dataBeanList.add(new DataBean("New York"  , "Phone"   , toDate(2017, 1, 16), 1, 200));
		dataBeanList.add(new DataBean("New York"  , "Phone"   , toDate(2017, 1, 22), 2, 520));

		dataBeanList.add(new DataBean("Washington", "Notebook", toDate(2017, 1, 15), 1, 610));
		dataBeanList.add(new DataBean("Washington", "DVD"     , toDate(2017, 1,  8), 4,  40));
		dataBeanList.add(new DataBean("Washington", "DVD"     , toDate(2017, 1, 16), 6,  35));
		dataBeanList.add(new DataBean("Washington", "DVD"     , toDate(2017, 1, 23), 3,  46));
		dataBeanList.add(new DataBean("Washington", "DVD"     , toDate(2017, 1, 28), 2,  42));
		dataBeanList.add(new DataBean("Washington", "Book"    , toDate(2017, 1, 11), 3,  12));
		dataBeanList.add(new DataBean("Washington", "Book"    , toDate(2017, 1, 17), 9,   8));
		dataBeanList.add(new DataBean("Washington", "Book"    , toDate(2017, 1, 26), 4,  14));
		dataBeanList.add(new DataBean("Washington", "Book"    , toDate(2017, 1, 29), 5,  10));
		dataBeanList.add(new DataBean("Washington", "Phone"   , toDate(2017, 1, 12), 2, 210));
		dataBeanList.add(new DataBean("Washington", "Phone"   , toDate(2017, 1, 29), 1, 380));

		dataBeanList.add(new DataBean("Florida"   , "Notebook", toDate(2017, 1,  3), 1, 460));
		dataBeanList.add(new DataBean("Florida"   , "DVD"     , toDate(2017, 1,  1), 3,  49));
		dataBeanList.add(new DataBean("Florida"   , "DVD"     , toDate(2017, 1,  8), 4,  32));
		dataBeanList.add(new DataBean("Florida"   , "DVD"     , toDate(2017, 1, 17), 2,  47));
		dataBeanList.add(new DataBean("Florida"   , "Book"    , toDate(2017, 1,  5), 4,  11));
		dataBeanList.add(new DataBean("Florida"   , "Book"    , toDate(2017, 1, 16), 8,   6));
		dataBeanList.add(new DataBean("Florida"   , "Book"    , toDate(2017, 1, 23), 6,  16));
		dataBeanList.add(new DataBean("Florida"   , "Book"    , toDate(2017, 1, 28), 3,  18));
		dataBeanList.add(new DataBean("Florida"   , "Phone"   , toDate(2017, 1, 12), 2, 190));
		dataBeanList.add(new DataBean("Florida"   , "Phone"   , toDate(2017, 1, 18), 1, 250));
		dataBeanList.add(new DataBean("Florida"   , "Phone"   , toDate(2017, 1, 26), 1, 201));
		

		return dataBeanList;
	}
	private Date toDate(int year, int month, int day) {
		Calendar c = Calendar.getInstance();
		c.set(Calendar.YEAR, year);
		c.set(Calendar.MONTH, month - 1);
		c.set(Calendar.DAY_OF_MONTH, day);
		return c.getTime();
	}
}